Bulk upsert asset criticality records
Base URL
https://{kibana_url}
POST
/api/asset_criticality/bulk
POST
/s/{space_id} /api/asset_criticality/bulk
Auth
Bulk upsert up to 1000 asset criticality records.
If asset criticality records already exist for the specified entities, those records are overwritten with the specified values. If asset criticality records don't exist for the specified entities, new records are created.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
{
}
records
object [] · min items: 1 · max items: 1000
required
−
Hide 3 properties
id_field
enum
required
Values:
host.name
user.name
service.name
id_value
string
required
The ID value of the asset.
criticality_level
enum
required
The criticality level of the asset.
Values:
low_impact
medium_impact
high_impact
extreme_impact
errors
object []
required
−
Hide 2 properties
stats
object
required
−
Hide 3 properties
successful
integer
required